This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 533922

Summary: Feature Request - Boost 1.41
Product: [Fedora] Fedora Reporter: Joel <jdy>
Component: boostAssignee: Benjamin Kosnik <bkoz>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 13CC: bkoz, denis.arnaud_fedora, jdy, mnewsome, pmachata
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-10 22:13:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 529563    
Bug Blocks:    

Description Joel 2009-11-09 14:16:38 EST
Boost in fedora tends to lag well behind latest upstream release.  Boost 1.41 is very rapidly approaching release.  Please strongly consider switching FC13 rawhide to this release.
Comment 1 Petr Machata 2009-11-10 06:13:10 EST
We rebase once a rawhide to the latest stable available.  Boost claims no API or ABI stability promises, and therefore a rebase involves rebuilding all client packages.  That's why we do it once a rawhide only.  To have 1.41 in F 13 is the current plan.
Comment 2 Bug Zapper 2009-11-16 10:21:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Benjamin Kosnik 2010-02-01 13:33:31 EST
Fedora devel was rebased to boost 1.41 for F13. F12 will not be rebased, which means that this bug should be closed as WONTFIX or NEXTRELEASE
Comment 4 Denis Arnaud 2010-02-03 13:25:16 EST
(In reply to comment #3)
> Fedora devel was rebased to boost 1.41 for F13. F12 will not be rebased, which
> means that this bug should be closed as WONTFIX or NEXTRELEASE  

Joel was asking (comment #1) to have Boost 1.41 on F13. So, technically speaking, this bug has been fixed in RAWHIDE, unless I have missed something?
Comment 5 Joel 2010-02-03 16:38:13 EST
Yes you are right.  Of course, now 1.42 is almost out so...

:-)
Comment 6 Denis Arnaud 2010-02-05 14:16:21 EST
(In reply to comment #5)
> Yes you are right.  Of course, now 1.42 is almost out so...

Version 1.42 has been released on February 2nd, 2010: http://www.boost.org/users/news/version_1_42_0
I may give it a try with the new build system.
But it will certainly not make its way to Fedora before F14. So, you could close that bug and re-open a new one (with Boost 1.43.0 on Fedora 14, I guess).
Comment 7 Benjamin Kosnik 2010-03-10 22:13:52 EST
Hey guys. I am going to close this one as a victory for F13, and let you or some other person open the inevitable, upgrade-to-the-latest.

;)

There have been a bunch of these requests throughout bugzilla history. We get it, and follow the boost releases too. The sad fact is that the only time in the fedora release cycle where upgrading boost is feasible is in the very beginning. It is almost always a non-trivial task, although made much easier this last time by the heavy lifting of Denis Arnaud which is greatly appreciated. 

In any case, we evaluate say twice a year, and try to be opportunistic if it looks feasible. 

Set your sights on 1.43!

-benjamin
Comment 8 Denis Arnaud 2010-03-11 13:24:37 EST
All the pleasure was mine, to work with Petr (Machata) and you, Benjamin, as you both deserve much credit as well!
But I take it as an encouragement to go on with the Boost version wheel, and I hope to be part of it :)
Thanks for all the good job done.
-Denis